Package org.eclipse.m2m.atl.engine.vm

## Class ASM

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.ASM

    public class ASM
    extends ASMOclAny

This class represents a transformation module, which can have fields.

### Field Summary

Fields
`static ASMOclType` `myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`ASM()`
`ASM​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addField​(ASMField f)`
`void` `addOperation​(ASMOperation o)`
`ASMField` `getField​(java.lang.String name)`
`java.util.List` `getFields()`
`java.lang.String` `getName()`
`ASMOperation` `getOperation​(java.lang.String name)`
`java.util.List` `getOperations()`
`java.lang.String` `getVersion()`
`void` `setName​(java.lang.String name)`
`void` `setVersion​(java.lang.String version)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### myType

    public static ASMOclType myType

### Constructor Detail

#### ASM

    public ASM()

#### ASM

    public ASM​(java.lang.String name)

### Method Detail

#### setName

    public void setName​(java.lang.String name)

#### getName

    public java.lang.String getName()

#### addField

    public void addField​(ASMField f)

#### getField

    public ASMField getField​(java.lang.String name)

#### getFields

    public java.util.List getFields()

#### addOperation

    public void addOperation​(ASMOperation o)

#### getOperation

    public ASMOperation getOperation​(java.lang.String name)

#### getOperations

    public java.util.List getOperations()

#### setVersion

    public void setVersion​(java.lang.String version)

#### getVersion

    public java.lang.String getVersion()